Bug 74149 - Error adding record containing ' character in pgaccess
Summary: Error adding record containing ' character in pgaccess
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-16 23:45 UTC by James Turner
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-16 23:45:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Turner 2002-09-16 23:45:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
In pgaccess (postgres-tk package), a "Parse error" message is displayed if you try to add a new record to a table where one of the fields contains a ' (apostrophe) character.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run pgaccess
2. Try to add a new record to a table containing a ' character in one of the text-format fields.
	

Actual Results:  "Parse error" message

Expected Results:  Record added to database table.

Additional info:

The program needs to check for ' characters when constructing the SQL insert statement.

Workaround: Create the record without the ' character, then go back and change it.

Comment 1 Trond Eivind Glomsrxd 2002-09-17 19:45:55 UTC
The newest betas (e.g. Null) no longer contain this package.


Note You need to log in before you can comment on or make changes to this bug.